use url::Url;

pub fn is_youtube_url(url: &Url) -> bool {
    let pattern = r"^((?:https?:)?\/\/)?((?:www|m)\.)?((?:youtube(?:-nocookie)?\.com|youtu\.be))(\/(?:@[\w\-]+(?:\/[\w\-]+)?|(?:[\w\-]+\?v=|embed\/|live\/|v\/)?))?([\w\-]+)?(\S+)?$";
    let re = regex::Regex::new(pattern).unwrap();
    re.is_match(url.as_str())
}
